<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Product list</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>
<body>
<div th:insert="fragments/navbar :: navbar('product')"></div>
<button onclick="location.href='/product/new'" type="button" class="btn btn-outline-success">Додати продукт
</button>
<hr/>
<table class="table">
    <thead class="thead-light">
    <tr>
        <th scope="col">
            <a th:href="@{/product/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${product.number},sortField='name',sortDir=${reverseSortDir})}">
                Назва</a>
        </th>
        <th scope="col">
            <a th:href="@{/product/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${product.number},sortField='measure',sortDir=${reverseSortDir})}">
                Одиниця вимірювання</a>
        </th>
        <th scope="col">
            <a th:href="@{/product/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${product.number},sortField='price',sortDir=${reverseSortDir})}">
                Ціна</a>
        </th>
        <th scope="col">
            <a th:href="@{/product/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${product.number},sortField='productType',sortDir=${reverseSortDir})}">
                Тип</a>
        </th>
        </th>
        <th scope="col">Дія</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="product : ${product}">
        <td th:text="${product.getName()}">Product name</td>
        <td th:text="${product.getMeasure()}">Product name</td>
        <td th:text="${product.getPrice()}">Product name</td>
        <td th:text="${product.getProductType().getName()}">Product name</td>
        <td>
            <div class="btn-group">
                <a th:href="@{/product/{id}(id=${product.getId()})}">
                    <button type="button" class="btn btn-outline-primary">Редагувати</button>
                </a>

                <form th:method="DELETE" th:action="@{/product/{id}(id=${product.getId()})}">
                    <button type="submit" class="btn btn-outline-danger">Видалити</button>
                </form>
            </div>
        </td>
    </tr>
    </tbody>
</table>
<div th:insert="fragments/pagination :: pagination(${product},'/product')"></div>
</body>
</html>